#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);

    int n,m;
    cin >> n >> m;
    vector<pair<int,int>> niz(n);

    for(int i = 0;i < n;i++) cin >> niz[i].first >> niz[i].second;

    int l,r,x,k = 0;
    for(int i = 0;i < m;i++){
        cin >> l >> r >> x;
        vector<pair<int,int>> pniz(r-l+1);

        k = 0;
        for(int j = l-1;j < r;j++){
            pniz[k].first = niz[j].first;
            pniz[k].second = niz[j].second;
            k++;
        }

        sort(begin(pniz),end(pniz));

        int d = upper_bound(begin(pniz),end(pniz),make_pair(x,x))-begin(pniz);

        if(d-1 < 0) cout << "0\n";
        else{
            vector<int> ppniz(d);
            for(int j = 0;j < d;j++){
                ppniz[j] = pniz[j].second;
            }

            sort(begin(ppniz),end(ppniz));
            cout << k - (lower_bound(begin(ppniz),end(ppniz),x)-begin(ppniz)) << "\n";
        }
    }
}